var prefix = "/datas/dataImprot"
var unSelected = "#999";
var selected = "#333";
$(function () {
    $("#unitProvince").val('');
    $("#sendVerify").val('0');
    load();
    //所属行业子类
    // loadIndustry();
    //所属行业
    loadIndustryType();
    //数据级别
    loadLevel();
    //数据类别
    loadType();
    //初始化联合审批部门
    load_direct_select();
    //地市
    loadCity();

    loadAuditStage();

    //select 框切换
    $("#sendVerify").css("color", unSelected);
    $("#sendVerify").change(function () {
        var selItem = $(this).val();
        if (selItem == $(this).find('option:first').val()) {
            $(this).css("color", unSelected);
        } else {
            $(this).css("color", selected);
        }
    });

});

$('.dropdown-toggle').dropdown();

function load() {
    $('#exampleTable')
        .bootstrapTable(
            {
                method: 'get', // 服务器数据的请求方式 get or post
                url: prefix + "/list", // 服务器数据的加载地址
                //	showRefresh : true,
                //	showToggle : true,
                //	showColumns : true,
                iconSize: 'outline',
                toolbar: '#exampleToolbar',
                striped: true, // 设置为true会有隔行变色效果
                dataType: "json", // 服务器返回的数据类型
                pagination: true, // 设置为true会在底部显示分页条
                // queryParamsType : "limit",
                // //设置为limit则会发送符合RESTFull格式的参数
                singleSelect: false, // 设置为true将禁止多选
                // contentType : "application/x-www-form-urlencoded",
                // //发送到服务器的数据编码类型
                pageSize: 10, // 如果设置了分页，每页数据条数
                pageNumber: 1, // 如果设置了分布，首页页码
                pageList: [10,25,50,100,500,1000],
                //search : true, // 是否显示搜索框
                showColumns: true, // 是否显示内容下拉框（选择显示的列）
                showRefresh: true,
                // showExport: true,  //是否显示导出按钮
                // exportDataType: "basic",              //basic', 'all', 'selected'.
                // buttonsAlign:"right",  //按钮位置
                // exportTypes:['csv', 'xlsx'],  //导出文件类型
                // Icons:'glyphicon-export',
                sidePagination: "server", // 设置在哪里进行分页，可选值为"client" 或者 "server"
                // exportOptions:{
                //     ignoreColumn: [0,1],  //忽略某一列的索引
                //     fileName: '备案数据信息',  //文件名称设置
                //     worksheetName: 'sheet1',  //表格工作区名称
                //     tableName: '备案数据表',
                //     excelstyles: ['background-color', 'color', 'font-size', 'font-weight'],
                //     onMsoNumberFormat: DoOnMsoNumberFormat
                // },
                queryParams: function (params) {
                    return {
                        //说明：传入后台的参数包括offset开始索引，limit步长，sort排序列，order：desc或者,以及所有列的键值对
                        limit: params.limit,
                        offset: params.offset,
                        dataName: $('#dataName').val(),
                        reporterUnit: $('#reporterUnit').val(),
                        dataIndustry: $('#dataIndustry').val(),
                        industryTypeOne: $('#industryTypeOne').val(),
                        dataStatus: $('#status').val(),
                        dataLevel: $('#dataLevel').val(),
                        auditStage: $('#auditStage').val(),
                        sendVerify: $('#sendVerify').val(),
                        unitCity: $('#unitCity').val(), //市区
                    };
                },
                onLoadSuccess: function () {
                    //鼠标悬停显示全部内容~
                    $('.bootstrap-table tr td').each(function () {
                        $(this).attr("title", $(this).text());
                        $(this).css("cursor", 'pointer');
                    });
                },
                // //请求服务器数据时，你可以通过重写参数的方式添加一些额外的参数，例如 toolbar 中的参数 如果
                // queryParamsType = 'limit' ,返回参数必须包含
                // limit, offset, search, sort, order 否则, 需要包含:
                // pageSize, pageNumber, searchText, sortName,
                // sortOrder.
                // 返回false将会终止请求
                columns: [
                    {
                        checkbox: true
                    },
                    // 								{
                    // 	field : 'id',
                    // 	title : ''
                    // },
                    {
                        field: 'no',
                        title: '序号',
                        align: "center",
                        width: 65,
                        formatter: function (value, row, index) {
                            //获取每页显示的数量
                            var pageSize = $('#exampleTable').bootstrapTable('getOptions').pageSize;
                            //获取当前是第几页
                            var pageNumber = $('#exampleTable').bootstrapTable('getOptions').pageNumber;
                            //返回序号，注意index是从0开始的，所以要加上1
                            return pageSize * (pageNumber - 1) + index + 1;
                        }
                    },
                    {
                        field: 'reporterUnit',
                        title: '数据处理者名称',
                        titleTooltip: "数据处理者名称",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'unitProvince',
                        title: '数据处理者地址',
                        titleTooltip: "数据处理者地址",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        formatter: function (value, row, index) {
                            return ' ' + row.unitProvince + '-' + row.unitCity + '-' + row.unitOther + '';
                        },
                    },
                    {
                        field: 'industryType',
                        title: '所属行业',
                        titleTooltip: "所属行业",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataIndustry',
                        title: '所属行业子类',
                        titleTooltip: "所属行业子类",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        formatter: function (value, row, index) {
                            if (row.dataIndustry == null || row.dataIndustry == '') {
                                return '/';
                            }
                            return row.dataIndustry;
                        },
                    },
                    {
                        field: 'dataManager',
                        title: '管理部门',
                        titleTooltip: "管理部门",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        field: 'dataRuler',
                        title: '负责人',
                        titleTooltip: "负责人",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        field: 'dataSource',
                        title: '数据来源',
                        titleTooltip: "数据来源",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataType',
                        title: '数据类别',
                        titleTooltip: "数据类别",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataSub',
                        title: '数据子类',
                        titleTooltip: "数据子类",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        field: 'dataAdjSub',
                        title: '二级子类',
                        titleTooltip: "二级子类",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        field: 'dataName',
                        title: '数据名称',
                        titleTooltip: "数据名称",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataLevel',
                        title: '数据级别',
                        titleTooltip: "数据级别",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataScope',
                        title: '数据规模',
                        titleTooltip: "数据规模",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        field: 'dataPrecision',
                        title: '数据精度',
                        titleTooltip: "数据精度",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        field: 'dataLocation',
                        title: '载体（存储位置）',
                        titleTooltip: "载体（存储位置）",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataResult',
                        title: '处理目的和方式',
                        titleTooltip: "处理目的和方式",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataRange',
                        title: '使用范围',
                        titleTooltip: "使用范围",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'shareRange',
                        title: '对外共享',
                        titleTooltip: "对外共享",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        field: 'crossRange',
                        title: '跨境传输',
                        titleTooltip: "跨境传输",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        field: 'dataSafety',
                        title: '安全保护措施',
                        titleTooltip: "安全保护措施",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        field: 'dataDesc',
                        title: '备注',
                        titleTooltip: "备注",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        // 1:市级 2:省级
                        field: 'auditStage',
                        title: '审核阶段',
                        titleTooltip: "审核阶段",
                        formatter: function (item, index) {
                            if (item == '1') {
                                return '<span class="label  label-primary">市级</span>';
                            } else if (item == '2') {
                                return '<span class="label  label-success">省级</span>';
                            }
                        },
                        width: 120,
                        align: "center",
                    },
                    {
                        // 0:正常 1:删除 2:已上报 3:通过审核 4:驳回 5:联合审批  6:终审
                        field: 'dataStatus',
                        title: '状态',
                        titleTooltip: "状态",
                        formatter: function (item, index) {
                            if (item == '0') {
                                return '<span class="label  label-info">待审核</span>';
                            } else if (item == '2') {
                                return '<span class="label  label-primary">审核中</span>';
                            } else if (item == '3') {
                                return '<span class="label  label-success">通过审核</span>';
                            } else if (item == '4') {
                                return '<span class="label  label-danger">驳回</span>';
                            } else if (item == '5') {
                                return '<span class="label  label-danger">联合审核</span>';
                            } else if (item == '6') {
                                return '<span class="label  label-danger">终审</span>';
                            }
                        }
                    },
                    {
                        field: 'uploadTime',
                        title: '上传时间',
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        title: '操作',
                        field: 'id',
                        align: 'center',
                        width: '160px',
                        formatter: function (value, row, index) {
                            var e = '<a class="btn btn-primary btn-sm ' + s_edit_h + '" href="#" mce_href="#" title="详情" onclick="edit(\''
                                + row.id
                                + '\')"><i class="fa fa-book"></i></a> ';
                            var d = '<a class="btn btn-warning btn-sm ' + s_remove_h + '" href="#" title="删除"  mce_href="#" onclick="remove(\''
                                + row.id
                                + '\')"><i class="fa fa-remove"></i></a> ';
                            var f = '<a class="btn btn-success btn-sm ' + s_verify_h + '" href="#" title="审核"  mce_href="#" onclick="verify(\''
                                + row.id
                                + '\')"><i class="fa fa-envelope-o"></i></a> ';
                            var g = '<a class="btn btn-success btn-sm ' + s_rebut_h + '" href="#" title="驳回"  mce_href="#" onclick="rebut(\''
                                + row.id
                                + '\')"><i class="fa fa-reply"></i></a> ';
                            if (row.dataStatus == '0' || row.dataStatus == '2') {
                                return e + d;
                            } else {
                                return e;
                            }
                        }
                    }]
            })
        /*table resize*/
        .colResizable({
            liveDrag: true,
            gripInnerHtml: "<div class='grip'></div>",
            draggingClass: "dragging",
            resizeMode: 'fit'
        });
}

function reLoad() {
    // $('#exampleTable').bootstrapTable('refresh');
    $('#exampleTable').bootstrapTable('destroy');
    load();
}

// function add() {
//     layer.open({
//         type: 2,
//         title: '数据导入',
//         maxmin: true,
//         shadeClose: false, // 点击遮罩关闭层
//         area: ['800px', '220px'],
//         content: prefix + '/add' // iframe的url
//     });
// }

function add() {
    layer.open({
        type: 2,
        title: '数据导入',
        maxmin: true,
        shadeClose: false, // 点击遮罩关闭层
        area: ['800px', '500px'],
        content: prefix + '/batchAdd' // iframe的url
    });
}

function edit(id) {
    layer.open({
        type: 2,
        title: '详情',
        maxmin: true,
        shadeClose: false, // 点击遮罩关闭层
        area: ['800px', '520px'],
        content: prefix + '/edit/' + id // iframe的url
    });
}

function remove(id) {
    layer.confirm('确定要删除选中的记录？', {
        btn: ['确定', '取消']
    }, function () {
        $.ajax({
            url: prefix + "/remove",
            type: "post",
            data: {
                'id': id
            },
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    })
}

//重置查询条件
function reset() {
    //重置
    $('.form-group').find('input,select').val("");
    //重置行业
    // $('#dataIndustry').val("--选择行业--");
    $("#dataIndustry").val("").trigger("chosen:updated");
    $("#industryTypeOne").val("").trigger("chosen:updated");
    $("#unitCity").val("").trigger("chosen:updated");
    $("#dataLevel").val("").trigger("chosen:updated");
    $("#auditStage").val("").trigger("chosen:updated");

    $("#sendVerify").css("color", "#999");
}


function resetPwd(id) {
}

function batchRemove() {
    var rows = $('#exampleTable').bootstrapTable('getSelections'); // 返回所有选择的行，当没有选择的记录时，返回一个空数组
    if (rows.length == 0) {
        layer.msg("请选择要删除的数据");
        return;
    }
    layer.confirm("确认要删除选中的'" + rows.length + "'条数据吗?", {
        btn: ['确定', '取消']
        // 按钮
    }, function () {
        var ids = new Array();
        // 遍历所有选择的行数据，取每条数据对应的ID
        $.each(rows, function (i, row) {
            ids[i] = row['id'];
        });
        $.ajax({
            type: 'POST',
            data: {
                "ids": ids
            },
            url: prefix + '/batchRemove',
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    }, function () {

    });
}

//审核通过
function verify(id) {
    layer.confirm('确定要审核通过选中的备案申请？', {
        btn: ['确定', '取消']
    }, function () {
        $.ajax({
            url: prefix + "/verify",
            type: "post",
            data: {
                'id': id
            },
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    })
}

//驳回
function rebut(id) {
    layer.confirm('确定要驳回选中的备案申请？', {
        btn: ['确定', '取消']
    }, function () {
        $.ajax({
            url: prefix + "/rebut",
            type: "post",
            data: {
                'id': id
            },
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    })
}

//批量审核通过
function batchVerify() {
    var rows = $('#exampleTable').bootstrapTable('getSelections'); // 返回所有选择的行，当没有选择的记录时，返回一个空数组
    if (rows.length == 0) {
        layer.msg("请选择要审核的备案数据");
        return;
    }
    layer.confirm("确认要审核通过选中的'" + rows.length + "'条备案数据吗?", {
        btn: ['确定', '取消']
        // 按钮
    }, function () {
        var ids = new Array();
        // 遍历所有选择的行数据，取每条数据对应的ID
        $.each(rows, function (i, row) {
            ids[i] = row['id'];
        });
        $.ajax({
            type: 'POST',
            data: {
                "ids": ids
            },
            url: prefix + '/batchVerify',
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    }, function () {

    });
}

//批量 驳回
function batchRebut() {
    var rows = $('#exampleTable').bootstrapTable('getSelections'); // 返回所有选择的行，当没有选择的记录时，返回一个空数组
    if (rows.length == 0) {
        layer.msg("请选择要驳回的备案数据");
        return;
    }
    layer.confirm("确认要驳回选中的'" + rows.length + "'条备案数据吗?", {
        btn: ['确定', '取消']
        // 按钮
    }, function () {
        var ids = new Array();
        // 遍历所有选择的行数据，取每条数据对应的ID
        $.each(rows, function (i, row) {
            ids[i] = row['id'];
        });
        $.ajax({
            type: 'POST',
            data: {
                "ids": ids
            },
            url: prefix + '/batchRebut',
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    }, function () {

    });
}

//选择导出
function batchExports() {
    var rows = $('#exampleTable').bootstrapTable('getSelections'); // 返回所有选择的行，当没有选择的记录时，返回一个空数组
    if (rows.length == 0) {
        layer.msg("请选择要导出的备案数据");
        return;
    }
    layer.confirm("确认要导出选中的'" + rows.length + "'条备案数据吗?", {
        btn: ['确定', '取消']
        // 按钮
    }, function () {
        var ids = new Array();
        // 遍历所有选择的行数据，取每条数据对应的ID
        $.each(rows, function (i, row) {
            ids[i] = row['id'];
        });
        layer.close(layer.index);
        location.href = prefix + "/batchExports?idValue=" + JSON.stringify(ids).replace('[', '%5B').replace(']', '%5D');
        // location.href = prefix + "/batchExports?idValue=" + JSON.stringify(ids);
    }, function () {

    });
}

function DoOnMsoNumberFormat(cell, row, col) {
    var result = "";
    if (row > 0 && col == 0)
        result = "\\@";
    return result;
}

//联合审批
function nextVerify(deptId, name) {
    console.log("deptId:" + deptId)
    var rows = $('#exampleTable').bootstrapTable('getSelections'); // 返回所有选择的行，当没有选择的记录时，返回一个空数组
    if (rows.length == 0) {
        layer.msg("请选择要联合审批的备案数据");
        return;
    }
    layer.confirm("确认要联合审批的'" + rows.length + "'条备案数据吗?", {
        btn: ['确定', '取消']
        // 按钮
    }, function () {
        var ids = new Array();
        // 遍历所有选择的行数据，取每条数据对应的ID
        $.each(rows, function (i, row) {
            ids[i] = row['id'];
        });
        $.ajax({
            type: 'POST',
            data: {
                "ids": ids
            },
            url: prefix + '/nextVerify/' + deptId,
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    }, function () {

    });
}

//送审 sendVerify
function sendVerify() {
    var rows = $('#exampleTable').bootstrapTable('getSelections'); // 返回所有选择的行，当没有选择的记录时，返回一个空数组
    if (rows.length == 0) {
        layer.msg("请选择要送审的备案数据");
        return;
    }
    layer.confirm("确认要送审的'" + rows.length + "'条备案数据吗?", {
        btn: ['确定', '取消']
        // 按钮
    }, function () {
        var ids = new Array();
        // 遍历所有选择的行数据，取每条数据对应的ID
        $.each(rows, function (i, row) {
            ids[i] = row['id'];
        });
        $.ajax({
            type: 'POST',
            data: {
                "ids": ids
            },
            url: prefix + '/sendVerify',
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    }, function () {

    });
}
